Package org.apache.cxf.attachment

# Class QuotedPrintableDecoderStream

java.lang.Object
java.io.InputStream
org.apache.cxf.attachment.QuotedPrintableDecoderStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class QuotedPrintableDecoderStream extends InputStream

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuotedPrintableDecoderStream(InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read()`

  ### Methods inherited from class java.io.InputStream

  `available, close, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuotedPrintableDecoderStream

    public QuotedPrintableDecoderStream(InputStream is)

- ## Method Details

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`